> For the complete documentation index, see [llms.txt](https://docs.swarm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swarm.com/reference/smart-contract-audit.md).

# Audits

Audits of the Swarm core smart contracts

Swarm has completed first full audits successfully with Pessimistic. Links to the audit reports can be found below.

* [Platform Audit (PDF)](https://github.com/pessimistic-io/audits/blob/main/Swarm%20Markets%20Security%20Analysis%20by%20Pessimistic.pdf)
* [SX1411 Parent Token Audit (PDF)](https://github.com/SwarmMarkets/audits/blob/main/SX1411/SX1411%20-%20AssetToken%20Security%20Analysis%20Pessimistic%20-%20FINAL.pdf)
* [SX1411 Child Token Audit (PDF)](https://github.com/SwarmMarkets/audits/blob/39cc68d0211867cbc951edcc472511de17e8c7b8/SwarmMarkets%20SX1411%20Child%20Token%20Security%20Analysis%20-%20Pessimistic.pdf)
* [dOTC Audit (PDF)](https://github.com/SwarmMarkets/audits/blob/6ae18ac0262239a1ea52e80691f8d378252560f7/Swarm%20Markets%20dOTC%20Security%20Analysis%20Pessimistic.pdf)
* [NFT Minter Audit (PDF)](https://github.com/SwarmMarkets/audits/blob/abe5f77e58b263d35fa8621a146fa5aa578e6938/Swarm%20Markets%20Nifty%20Minter%20Security%20Analysis%20Pessimistic.pdf)
* [Action Manager Contract Audit (PDF)](https://github.com/SwarmMarkets/audits/blob/179c14b039bf6596ec4d6386dbdf5a639d51fdbe/Swarm%20Markets%20Action%20Manager%20Security%20Analysis%20by%20Pessimistic%20-%20Final.pdf)
* [Bundles V1.0 - esp. xGold (PDF)](https://github.com/SwarmMarkets/swarm-nifty-bundles/blob/feat/open-nifty-bundles/PeckShield-Audit-Report-Swarm-Bundles-v1.0.pdf)

## Risks <a href="#risks" id="risks"></a>

* It is important for users to understand that Swarm has the ability to change the proxy implementation for most core contracts on the Swarm protocol.
* This project is still in beta and we advise caution - please do not put more into our contracts than you are prepared to lose if a vulnerability is found and exploited.
* We are confident in the security of our contracts and have sought third-party opinions, but since the project is new and has not received extensive scrutiny from hackers or auditing firms we can not be absolutely certain that no mistakes were overlooked.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.swarm.com/reference/smart-contract-audit.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
